netatalk: desktop.h File Reference

netatalk 4.5.1
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
desktop.h File Reference
`#include <atalk/globals.h>`
`#include "volume.h"`

Go to the source code of this file.

## Data Structures
struct | savedt

## Macros
#define | APPLEDESKTOP ".AppleDesktop"

## Typedefs
typedef unsigned char | CreatorType[4]

## Functions
char * | dtfile (const struct vol *, uint8_t[], char *)
char * | mtoupath (const struct vol *, char *, cnid_t, int utf8)
char * | utompath (const struct vol *, char *, cnid_t, int utf8)
int | setdeskmode (const struct vol *vol, const mode_t mode)
int | setdeskowner (const struct vol *vol, uid_t uid, gid_t gid)
int | afp_opendt (AFPObj *obj, char *ibuf, size_t ibuflen, char *rbuf, size_t *rbuflen)
int | afp_addcomment (AFPObj *obj, char *ibuf, size_t ibuflen, char *rbuf, size_t *rbuflen)
int | afp_getcomment (AFPObj *obj, char *ibuf, size_t ibuflen, char *rbuf, size_t *rbuflen)
int | afp_rmvcomment (AFPObj *obj, char *ibuf, size_t ibuflen, char *rbuf, size_t *rbuflen)
int | afp_addappl (AFPObj *obj, char *ibuf, size_t ibuflen, char *rbuf, size_t *rbuflen)
int | afp_rmvappl (AFPObj *obj, char *ibuf, size_t ibuflen, char *rbuf, size_t *rbuflen)
int | afp_getappl (AFPObj *obj, char *ibuf, size_t ibuflen, char *rbuf, size_t *rbuflen)
int | afp_closedt (AFPObj *obj, char *ibuf, size_t ibuflen, char *rbuf, size_t *rbuflen)
int | afp_addicon (AFPObj *obj, char *ibuf, size_t ibuflen, char *rbuf, size_t *rbuflen)
int | afp_geticoninfo (AFPObj *obj, char *ibuf, size_t ibuflen, char *rbuf, size_t *rbuflen)
int | afp_geticon (AFPObj *obj, char *ibuf, size_t ibuflen, char *rbuf, size_t *rbuflen)

## Macro Definition Documentation

## ◆ APPLEDESKTOP

#define APPLEDESKTOP ".AppleDesktop"

## Typedef Documentation

## ◆ CreatorType

typedef unsigned char CreatorType[4]

## Function Documentation

## ◆ afp_addappl()

int afp_addappl | ( | AFPObj * | obj,
|  | char * | ibuf,
|  | size_t | ibuflen,
|  | char * | rbuf,
|  | size_t * | rbuflen )

## ◆ afp_addcomment()

int afp_addcomment | ( | AFPObj * | obj,
|  | char * | ibuf,
|  | size_t | ibuflen,
|  | char * | rbuf,
|  | size_t * | rbuflen )

## ◆ afp_addicon()

int afp_addicon | ( | AFPObj * | obj,
|  | char * | ibuf,
|  | size_t | ibuflen,
|  | char * | rbuf,
|  | size_t * | rbuflen )

## ◆ afp_closedt()

int afp_closedt | ( | AFPObj * | obj,
|  | char * | ibuf,
|  | size_t | ibuflen,
|  | char * | rbuf,
|  | size_t * | rbuflen )

## ◆ afp_getappl()

int afp_getappl | ( | AFPObj * | obj,
|  | char * | ibuf,
|  | size_t | ibuflen,
|  | char * | rbuf,
|  | size_t * | rbuflen )

## ◆ afp_getcomment()

int afp_getcomment | ( | AFPObj * | obj,
|  | char * | ibuf,
|  | size_t | ibuflen,
|  | char * | rbuf,
|  | size_t * | rbuflen )

## ◆ afp_geticon()

int afp_geticon | ( | AFPObj * | obj,
|  | char * | ibuf,
|  | size_t | ibuflen,
|  | char * | rbuf,
|  | size_t * | rbuflen )

## ◆ afp_geticoninfo()

int afp_geticoninfo | ( | AFPObj * | obj,
|  | char * | ibuf,
|  | size_t | ibuflen,
|  | char * | rbuf,
|  | size_t * | rbuflen )

## ◆ afp_opendt()

int afp_opendt | ( | AFPObj * | obj,
|  | char * | ibuf,
|  | size_t | ibuflen,
|  | char * | rbuf,
|  | size_t * | rbuflen )

## ◆ afp_rmvappl()

int afp_rmvappl | ( | AFPObj * | obj,
|  | char * | ibuf,
|  | size_t | ibuflen,
|  | char * | rbuf,
|  | size_t * | rbuflen )

## ◆ afp_rmvcomment()

int afp_rmvcomment | ( | AFPObj * | obj,
|  | char * | ibuf,
|  | size_t | ibuflen,
|  | char * | rbuf,
|  | size_t * | rbuflen )

## ◆ dtfile()

char * dtfile | ( | const struct vol * | vol,
|  | uint8_t | creator[],
|  | char * | ext )
| extern

## ◆ mtoupath()

char * mtoupath | ( | const struct vol * | vol,
|  | char * | mpath,
|  | cnid_t | did,
|  | int | utf8 )
| extern

## ◆ setdeskmode()

int setdeskmode | ( | const struct vol * | vol,
|  | const mode_t | mode )
| extern

## ◆ setdeskowner()

int setdeskowner | ( | const struct vol * | vol,
|  | uid_t | uid,
|  | gid_t | gid )
| extern

## ◆ utompath()

char * utompath | ( | const struct vol * | vol,
|  | char * | upath,
|  | cnid_t | id,
|  | int | utf8 )
| extern